function [Xst,Xcen]=ftscale(X,mode);
%function [Xst,Xcen]=ftscale(X,mode);
%Optimized procedure for pretreatment of datamatrices
%Define mode as: (all operations down through the columns)
% Not def. : Same as 3
%     1    : Subtract mean and divide by std (autoscaling=normalizing+centering)
%     2    : Divide by std (=normalizing)
%     3    : Subtract mean (=centering)
% Author   : Claus A. Andersson, November 1994 
% Copyright: Food Technology,
%            Royal Veterinary & Agricultural University
%            Copenhagen, Denmark
% E-mail   : claus.andersson@pop.foodsci.kvl.dk

if nargin==1; mode=3; end;
if mode==1
  st=ones(size(X,1),1);
  Xcen=mean(X);
  X=X-st*Xcen;
  Xscl=std(X);
  Xst=X./(st*Xscl);
end;
if mode==2
  st=ones(size(X,1),1);
  Xscl=std(X);
  Xst=X./(st*Xscl);
end;
if mode==3
  st=ones(size(X,1),1);
  Xcen=mean(X);
  Xst=X-st*Xcen;
end;
clear st;